# Uses of Class
org.codehaus.janino.Java.NamedClassDeclaration

Packages that use Java.NamedClassDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.NamedClassDeclaration in org.codehaus.janino

Subclasses of Java.NamedClassDeclaration in org.codehaus.janino
Modifier and Type
Class
Description
`static final class`
`Java.LocalClassDeclaration`
Representation of a "local class declaration" i.e.
`static class`
`Java.MemberClassDeclaration`
Representation of a "member class declaration", i.e.
`static final class`
`Java.MemberEnumDeclaration`
Representation of a "member enum declaration", i.e.
`static class`
`Java.PackageMemberClassDeclaration`
Implementation of a "package member class declaration", a.k.a.
`static final class`
`Java.PackageMemberEnumDeclaration`
Implementation of a "package member enum declaration", a.k.a.
Methods in org.codehaus.janino that return Java.NamedClassDeclaration
Modifier and Type
Method
Description
`Java.NamedClassDeclaration`
Parser.`parseClassDeclarationRest(String docComment, Java.Modifier[] modifiers, Parser.ClassDeclarationContext context)`
ClassDeclarationRest := Identifier [ typeParameters ] [ 'extends' ReferenceType ] [ 'implements' ReferenceTypeList ] ClassBody

## Uses of Java.NamedClassDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.NamedClassDeclaration
Modifier and Type
Method
Description
`void`
AbstractTraverser.`traverseNamedClassDeclaration(Java.NamedClassDeclaration ncd)`
`void`
Traverser.`traverseNamedClassDeclaration(Java.NamedClassDeclaration ncd)`